Bug 4361 - rpm unconditionaly strips last character of $HOME/.rpmmacros
rpm unconditionaly strips last character of $HOME/.rpmmacros
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-08-05 02:41 EDT by luc.maisonobe
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-08-16 14:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description luc.maisonobe 1999-08-05 02:41:41 EDT
If the last line of a $HOME/.rpmmacros does not ends with \n
the last character of the line is stripped off.

I have seen the problem on both rpm-3.01 and rpm-3.02.
Comment 1 Jeff Johnson 1999-08-16 14:58:59 EDT
Fixed in cvs (and rpm-3.0.3-0.15).

Note You need to log in before you can comment on or make changes to this bug.